Mailinglist Archive: opensuse-security-announce (61 mails)

< Previous Next >
[security-announce] openSUSE-SU-2019:1795-1: moderate: Security update for ImageMagick
openSUSE Security Update: Security update for ImageMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1795-1
Rating: moderate
References: #1138425 #1138464
Cross-References: CVE-2019-11597
Affected Products:
openSUSE Leap 15.1
openSUSE Leap 15.0
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update for ImageMagick fixes the following issues:

Security issues fixed:

- CVE-2019-11597: Fixed a heap-based buffer over-read in the
WriteTIFFImage() (bsc#1138464).
- Fixed a file content disclosure via SVG and WMF decoding (bsc#1138425).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2019-1795=1

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1795=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

ImageMagick-7.0.7.34-lp151.7.6.1
ImageMagick-config-7-SUSE-7.0.7.34-lp151.7.6.1
ImageMagick-config-7-upstream-7.0.7.34-lp151.7.6.1
ImageMagick-debuginfo-7.0.7.34-lp151.7.6.1
ImageMagick-debugsource-7.0.7.34-lp151.7.6.1
ImageMagick-devel-7.0.7.34-lp151.7.6.1
ImageMagick-extra-7.0.7.34-lp151.7.6.1
ImageMagick-extra-debuginfo-7.0.7.34-lp151.7.6.1
libMagick++-7_Q16HDRI4-7.0.7.34-lp151.7.6.1
libMagick++-7_Q16HDRI4-debuginfo-7.0.7.34-lp151.7.6.1
libMagick++-devel-7.0.7.34-lp151.7.6.1
libMagickCore-7_Q16HDRI6-7.0.7.34-lp151.7.6.1
libMagickCore-7_Q16HDRI6-debuginfo-7.0.7.34-lp151.7.6.1
libMagickWand-7_Q16HDRI6-7.0.7.34-lp151.7.6.1
libMagickWand-7_Q16HDRI6-debuginfo-7.0.7.34-lp151.7.6.1
perl-PerlMagick-7.0.7.34-lp151.7.6.1
perl-PerlMagick-debuginfo-7.0.7.34-lp151.7.6.1

- openSUSE Leap 15.1 (noarch):

ImageMagick-doc-7.0.7.34-lp151.7.6.1

- openSUSE Leap 15.1 (x86_64):

ImageMagick-devel-32bit-7.0.7.34-lp151.7.6.1
libMagick++-7_Q16HDRI4-32bit-7.0.7.34-lp151.7.6.1
libMagick++-7_Q16HDRI4-32bit-debuginfo-7.0.7.34-lp151.7.6.1
libMagick++-devel-32bit-7.0.7.34-lp151.7.6.1
libMagickCore-7_Q16HDRI6-32bit-7.0.7.34-lp151.7.6.1
libMagickCore-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-lp151.7.6.1
libMagickWand-7_Q16HDRI6-32bit-7.0.7.34-lp151.7.6.1
libMagickWand-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-lp151.7.6.1

- openSUSE Leap 15.0 (i586 x86_64):

ImageMagick-7.0.7.34-lp150.2.35.1
ImageMagick-config-7-SUSE-7.0.7.34-lp150.2.35.1
ImageMagick-config-7-upstream-7.0.7.34-lp150.2.35.1
ImageMagick-debuginfo-7.0.7.34-lp150.2.35.1
ImageMagick-debugsource-7.0.7.34-lp150.2.35.1
ImageMagick-devel-7.0.7.34-lp150.2.35.1
ImageMagick-extra-7.0.7.34-lp150.2.35.1
ImageMagick-extra-debuginfo-7.0.7.34-lp150.2.35.1
libMagick++-7_Q16HDRI4-7.0.7.34-lp150.2.35.1
libMagick++-7_Q16HDRI4-debuginfo-7.0.7.34-lp150.2.35.1
libMagick++-devel-7.0.7.34-lp150.2.35.1
libMagickCore-7_Q16HDRI6-7.0.7.34-lp150.2.35.1
libMagickCore-7_Q16HDRI6-debuginfo-7.0.7.34-lp150.2.35.1
libMagickWand-7_Q16HDRI6-7.0.7.34-lp150.2.35.1
libMagickWand-7_Q16HDRI6-debuginfo-7.0.7.34-lp150.2.35.1
perl-PerlMagick-7.0.7.34-lp150.2.35.1
perl-PerlMagick-debuginfo-7.0.7.34-lp150.2.35.1

- openSUSE Leap 15.0 (noarch):

ImageMagick-doc-7.0.7.34-lp150.2.35.1

- openSUSE Leap 15.0 (x86_64):

ImageMagick-devel-32bit-7.0.7.34-lp150.2.35.1
libMagick++-7_Q16HDRI4-32bit-7.0.7.34-lp150.2.35.1
libMagick++-7_Q16HDRI4-32bit-debuginfo-7.0.7.34-lp150.2.35.1
libMagick++-devel-32bit-7.0.7.34-lp150.2.35.1
libMagickCore-7_Q16HDRI6-32bit-7.0.7.34-lp150.2.35.1
libMagickCore-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-lp150.2.35.1
libMagickWand-7_Q16HDRI6-32bit-7.0.7.34-lp150.2.35.1
libMagickWand-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-lp150.2.35.1


References:

https://www.suse.com/security/cve/CVE-2019-11597.html
https://bugzilla.suse.com/1138425
https://bugzilla.suse.com/1138464

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages